#include <iostream>
#include <string.h>
#define MAX 20000
using namespace std;

int main()
{
    int l,i,j,n;
    char T[MAX];
    gets(T);
    j=n=strlen(T)-1;
    i=0;
    l=1;
    while (T[i]==T[j] && i<n/2)
    {
        i++;
        j--;
    }
    if (T[i]!=T[j])
    {
        l=j-i;
    }
    cout << l;
    return 0;
}